import { WidgetLifecycleEvent } from "../apis/api.interfaces";
import { IWidgetInstanceInternal } from "../orchestrator/IWidgetInstanceInternal";
import { WidgetApi } from "../orchestrator/WidgetApi";
import { IWidgetLifecycleInternal } from "./widgetInternalApi.interfaces";
export declare class WidgetLifecycleApi extends WidgetApi implements IWidgetLifecycleInternal {
    private _eventListeners;
    constructor(widgetInstance: IWidgetInstanceInternal);
    onWidgetRemoved(): Promise<void>;
    onRefresh(): Promise<void>;
    onSuspending(): Promise<void>;
    onResumed(): Promise<void>;
    addEventListener(listener: (eventName: WidgetLifecycleEvent) => Promise<void>): void;
    removeEventListener(listener: (eventName: WidgetLifecycleEvent) => Promise<void>): void;
    private fireEvent;
}
